Create Api Auth App
Authorization
bearerAuth AuthorizationBearer <token>
API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.wacht.dev/api-auth/apps" \ -H "Content-Type: application/json" \ -d '{ "app_slug": "string", "name": "string", "key_prefix": "string" }'{
"deployment_id": "string",
"user_id": "string",
"organization_id": "string",
"workspace_id": "string",
"app_slug": "string",
"name": "string",
"description": "string",
"is_active": true,
"key_prefix": "string",
"permissions": [
"string"
],
"resources": [
"string"
],
"rate_limits": [
{
"unit": "millisecond",
"duration": 0,
"max_requests": 0,
"mode": "per_app",
"endpoints": [
"string"
],
"priority": 0
}
],
"rate_limit_scheme_slug": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z"
}{
"errors": [
{
"message": "string",
"code": 0
}
]
}{
"errors": [
{
"message": "string",
"code": 0
}
]
}{
"errors": [
{
"message": "string",
"code": 0
}
]
}{
"errors": [
{
"message": "string",
"code": 0
}
]
}